package com.yihu.jw.entity.hospital.prescription;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 疾病诊断表
 *
 * */
@Entity
@Table(name = "v_hlwys_mz_jbzd")
public class HlwYsMzJbzdDO {
    private Integer jLBH;//N	NUMBER(18)	N			主键
    private Integer jZXH;//N	NUMBER(18)	N			就诊序号
    private Integer bRBH;//N	NUMBER(18)	Y			病人ID号
    private Integer jBBH;//N	NUMBER(18)	Y			V_HLW_ICD10.FLAG
    private Integer zDLB;//N	NUMBER(9)	Y			11 诊断类别
    private Integer jBZG;//N	NUMBER(9)	Y
    private String  ySDM;//N	VARCHAR2(10)	N			医生代码
    private Date    zDSJ;//N	DATE	Y			诊断时间
    private Integer zFPB;//N	NUMBER(1)	Y	0		作废判别
    private String  iCD;//N	VARCHAR2(20)	Y			icd编码
    private String  mSZD;//N	VARCHAR2(100)	Y			诊断名称
    private Integer zZBJ;//N	NUMBER(1)	Y
    private Integer qZBZ;//N	NUMBER(1)	Y			确诊标志
    private String bZXX;//N	VARCHAR2(100)	Y			备注信息
    private Date qZSJ;//N	DATE	Y			确诊时间
    private Integer zXLB;//N	NUMBER(1)	Y	1		诊断类别 1.西医 2.中医
    private Integer zNXH;//N	NUMBER(2)	Y			组内序号，同一个组内，疾病排列
    private String jBMC;//N	VARCHAR2(50)	Y			诊断名称
    private Integer fJBS;//N	NUMBER(18)	Y
    private Integer tJBZ;//N	NUMBER(1)	Y			提交标志
    private Integer bKZT;//N	NUMBER(1)	Y
    private Integer dYBZ;//N	NUMBER(1)	Y	0
    private Integer zDLX;//N	NUMBER(9)	Y			诊断类型 默认1
    private Integer zDXH;//N	NUMBER(18)	Y			诊断序号唯一就行目前
    private String jBZH;//N	VARCHAR2(2)	Y			1 疾病组号。 区分不同组
    private String fJMC;//N	VARCHAR2(60)	Y
    private String yWBS;//N	VARCHAR2(50)	Y
    private String zFYS;//N	VARCHAR2(10)	Y
    private Date zFSJ;//N	DATE	Y
    private Integer zJFLAG;//N	NUMBER(1)	Y	0		传输标记

    @Id
    @Column(name = "JLBH")
    public Integer getJLBH() {
        return jLBH;
    }

    public void setJLBH(Integer jLBH) {
        this.jLBH = jLBH;
    }

    @Column(name = "JZXH")
    public Integer getJZXH() {
        return jZXH;
    }

    public void setJZXH(Integer jZXH) {
        this.jZXH = jZXH;
    }

    @Column(name = "BRBH")
    public Integer getBRBH() {
        return bRBH;
    }

    public void setBRBH(Integer bRBH) {
        this.bRBH = bRBH;
    }

    @Column(name = "JBBH")
    public Integer getJBBH() {
        return jBBH;
    }

    public void setJBBH(Integer jBBH) {
        this.jBBH = jBBH;
    }

    @Column(name = "ZDLB")
    public Integer getZDLB() {
        return zDLB;
    }

    public void setZDLB(Integer zDLB) {
        this.zDLB = zDLB;
    }

    @Column(name = "JBZG")
    public Integer getJBZG() {
        return jBZG;
    }

    public void setJBZG(Integer jBZG) {
        this.jBZG = jBZG;
    }

    @Column(name = "YSDM")
    public String getYSDM() {
        return ySDM;
    }

    public void setYSDM(String ySDM) {
        this.ySDM = ySDM;
    }

    @Column(name = "ZDSJ")
    public Date getZDSJ() {
        return zDSJ;
    }

    public void setZDSJ(Date zDSJ) {
        this.zDSJ = zDSJ;
    }

    @Column(name = "ZFPB")
    public Integer getZFPB() {
        return zFPB;
    }

    public void setZFPB(Integer zFPB) {
        this.zFPB = zFPB;
    }

    @Column(name = "ICD")
    public String getICD() {
        return iCD;
    }

    public void setICD(String iCD) {
        this.iCD = iCD;
    }

    @Column(name = "MSZD")
    public String getMSZD() {
        return mSZD;
    }

    public void setMSZD(String mSZD) {
        this.mSZD = mSZD;
    }

    @Column(name = "ZZBJ")
    public Integer getZZBJ() {
        return zZBJ;
    }

    public void setZZBJ(Integer zZBJ) {
        this.zZBJ = zZBJ;
    }

    @Column(name = "QZBZ")
    public Integer getQZBZ() {
        return qZBZ;
    }

    public void setQZBZ(Integer qZBZ) {
        this.qZBZ = qZBZ;
    }

    @Column(name = "BZXX")
    public String getBZXX() {
        return bZXX;
    }

    public void setBZXX(String bZXX) {
        this.bZXX = bZXX;
    }

    @Column(name = "QZSJ")
    public Date getQZSJ() {
        return qZSJ;
    }

    public void setQZSJ(Date qZSJ) {
        this.qZSJ = qZSJ;
    }

    @Column(name = "ZXLB")
    public Integer getZXLB() {
        return zXLB;
    }

    public void setZXLB(Integer zXLB) {
        this.zXLB = zXLB;
    }

    @Column(name = "ZNXH")
    public Integer getZNXH() {
        return zNXH;
    }

    public void setZNXH(Integer zNXH) {
        this.zNXH = zNXH;
    }

    @Column(name = "JBMC")
    public String getJBMC() {
        return jBMC;
    }

    public void setJBMC(String jBMC) {
        this.jBMC = jBMC;
    }

    @Column(name = "FJBS")
    public Integer getFJBS() {
        return fJBS;
    }

    public void setFJBS(Integer fJBS) {
        this.fJBS = fJBS;
    }

    @Column(name = "TJBZ")
    public Integer getTJBZ() {
        return tJBZ;
    }

    public void setTJBZ(Integer tJBZ) {
        this.tJBZ = tJBZ;
    }

    @Column(name = "BKZT")
    public Integer getBKZT() {
        return bKZT;
    }

    public void setBKZT(Integer bKZT) {
        this.bKZT = bKZT;
    }

    @Column(name = "DYBZ")
    public Integer getDYBZ() {
        return dYBZ;
    }

    public void setDYBZ(Integer dYBZ) {
        this.dYBZ = dYBZ;
    }

    @Column(name = "ZDLX")
    public Integer getZDLX() {
        return zDLX;
    }

    public void setZDLX(Integer zDLX) {
        this.zDLX = zDLX;
    }

    @Column(name = "ZDXH")
    public Integer getZDXH() {
        return zDXH;
    }

    public void setZDXH(Integer zDXH) {
        this.zDXH = zDXH;
    }

    @Column(name = "JBZH")
    public String getJBZH() {
        return jBZH;
    }

    public void setJBZH(String jBZH) {
        this.jBZH = jBZH;
    }

    @Column(name = "FJMC")
    public String getFJMC() {
        return fJMC;
    }

    public void setFJMC(String fJMC) {
        this.fJMC = fJMC;
    }

    @Column(name = "YWBS")
    public String getYWBS() {
        return yWBS;
    }

    public void setYWBS(String yWBS) {
        this.yWBS = yWBS;
    }

    @Column(name = "ZFYS")
    public String getZFYS() {
        return zFYS;
    }

    public void setZFYS(String zFYS) {
        this.zFYS = zFYS;
    }

    @Column(name = "ZFSJ")
    public Date getZFSJ() {
        return zFSJ;
    }

    public void setZFSJ(Date zFSJ) {
        this.zFSJ = zFSJ;
    }

    @Column(name = "ZJFLAG")
    public Integer getZJFLAG() {
        return zJFLAG;
    }

    public void setZJFLAG(Integer zJFLAG) {
        this.zJFLAG = zJFLAG;
    }
}
